Package Gnumed :: Package wxpython :: Module gmMeasurementWidgets :: Class cMeasurementsNb |
[frames] | no frames]

# Class cMeasurementsNb

source code

                            wx.Notebook --+
                                          |
    gmPlugin.cPatientChange_PluginMixin --+
                                          |
                                         cMeasurementsNb

Notebook displaying measurements pages:

- by test battery
- by day
- by issue/episode
- most-recent list, perhaps by panel
- full grid
- full list

Used as a main notebook plugin page.

Operates on the active patient.

Instance Methods
__init__(self, parent, id) | source code
repopulate_ui(self) | source code

Class Variables
| patient = `property(_get_patient, _set_patient)`

Method Details

### __init__(self, parent, id) (Constructor) | source code
Overrides: gmPlugin.cPatientChange_PluginMixin.__init__